DB_ENV->set_mp_pagesize()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_ENV->set_mp_pagesize()

    #include <db.h>

    int
    DB_ENV->set_mp_pagesize(DB_ENV *dbenv, u_int32_t pagesize);

The `DB_ENV->set_mp_pagesize()` method sets the pagesize used to allocate the hash table and the number of mutexes expected to be needed by the buffer pool.

You must call this method only before the environment is opened.

### Parameters

#### pagesize

The pagesize parameter specifies expected page size use. Generally, it is set to the expected average page size for all the data pages that are in the buffer pool.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_ENV->get_mp_pagesize()

Prev | Up | Next
DB_ENV->set_mp_mtxcount() | Home | DB_ENV->set_mp_tablesize()